% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gen-namespace-docs.R,
%   R/gen-namespace-examples.R, R/gen-namespace.R
\name{torch_cartesian_prod}
\alias{torch_cartesian_prod}
\title{Cartesian_prod}
\usage{
torch_cartesian_prod(tensors)
}
\arguments{
\item{tensors}{a list containing any number of 1 dimensional tensors.}
}
\description{
Do cartesian product of the given sequence of tensors.
}
\examples{
if (torch_is_installed()) {

a = c(1, 2, 3)
b = c(4, 5)
tensor_a = torch_tensor(a)
tensor_b = torch_tensor(b)
torch_cartesian_prod(list(tensor_a, tensor_b))
}
}
